<?
define('PROTECTOR', 1);

$headmod = 'mod_panel';//фикс. места

$textl='Модер-панель';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

if($udata[prava]<3){
echo'Доступ закрыт!';
@include('files/down.php');
exit;
}

switch($_GET[mod]){

default:
echo"Здесь находятся кейсы";break;

case '18':
if(empty($_POST[name])){
echo '<form action="mod3.php?mod=18" method="post">';
echo "Город:<br/>
<select name=\"city\">
<option value=\"izmud\">Измуд</option>
</select><br/>
Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";
echo'Латиницей (пишем латинецей, пробелы заменять "_"! Примеры: Аура шока - aura_shoka !Нельзя чтобы латинские именна повторялись!)<br/>';
echo"<input class='input' type=\"text\" size=\"10\" name=\"lat_name\"/><br/>
Цена<br/>
<input class='input' type\"text\" size=\"10\" name=\"cena\"/><br/>
Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>
Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>
Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"protect\"/><br/>
Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>
Требуется силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nsila\"/><br/>
Требуется ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlovk\"/><br/>
Требуется интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"num\"/><br/>
Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>
Время действия(в секундах)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"actime\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';}else{
mysql_query("INSERT INTO
        `shop_aura` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `lat_name` = '$_POST[lat_name]',
        `cena` = '$_POST[cena]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `protect` = '$_POST[protect]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `klas` = '$_POST[klas]',
        `nsila` = '$_POST[nsila]',
        `nlovk` = '$_POST[nlovk]',
        `num` = '$_POST[num]',
        `actime` = '$_POST[actime]',
        `nlvl` = '$_POST[nlvl]'");
echo'Аура '.$_POST[name].' создана!<br/>';}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

case '5':
if(empty($_POST[name])){
echo '<form action="mod3.php?mod=5" method="post">';
echo "Город:<br/>
<select name=\"city\">
<option value=\"izmud\">Измуд</option>
</select><br/>
Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>
Уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>
Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>
Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>
Здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Макс. здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hpall\"/><br/>
Защита головы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>
Защита тела<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>
Защита ног<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>
Защита от умений<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pmag\"/><br/>
Шанс крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Урон-крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Анти-крит(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Шанс выпадания дропа(проискохит рэнд(1,до вашего числа) если рез.=1 то дроп выпадает!чем меньше число тем больше шанс выпадания!на шакалах стоит 10)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sd\"/><br/>
Дроп<br/>
Писать номера дропа через запятую(пример 1,2,3,4)<br/>
Номер-дроп<br/>
1 - HP-5<br/>
2 - MP-5<br/>
3 - Свиток слабой заточки<br/>
4 - Свиток слабой защиты<br/>
5 - HP-10<br/>
6 - Свиток заточки<br/>
7 - MP-10<br/>
8 - Серебро<br/>
9 - Нефрит<br/>
10 - Обсидиан<br/>
<input class='input' type=\"text\" size=\"20\" name=\"drop\"/><br/>
Шанс выпадания монет(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sm\"/><br/>
Кол. монет:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"money\"/><br/>
Опыта:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"exp\"/><br/>
Время смерти(в секундах):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>
Координата по X:<br/>
<input class='input' type=\"text\" value=\"$_GET[x]\" size=\"10\" name=\"x\"/><br/>
Координата по Y:<br/>
<input class='input' type=\"text\" value=\"$_GET[y]\" size=\"10\" name=\"y\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';}else{
mysql_query("INSERT INTO
        `mob` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hpall]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `pgolova` = '$_POST[pgolova]',
        `pbody` = '$_POST[pbody]',
        `pnogi` = '$_POST[pnogi]',
        `pmag` = '$_POST[pmag]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `antikrit` = '$_POST[antikrit]',
        `lovk` = '$_POST[lovk]',
        `sd` = '$_POST[sd]',
        `drop` = '$_POST[drop]',
        `sm` = '$_POST[sm]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `tip` = 'life',
        `status` = 'on',
        `oponent` = 'not',
        `time` = '$_POST[time]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]'");
echo'Монстр '.$_POST[name].' создан!Чтобы создать точно такого же рядом ОБНОВИТЕ СТРАНИЦУ!<br/>';}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;


case '4':
if(empty($_POST[name])){
echo'Недолжно быть минусовых координат!<br/>';
echo '<form action="mod3.php?mod=4" method="post">';
echo "Город:<br/>
<select name=\"city\">
<option value=\"izmud\">Измуд</option>
</select><br/>";
echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";
echo"Координата по X<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";
echo"Координата по Y<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";
echo'Чтобы включить поставь галочку:<br/>';
echo'<input name="portal" type="checkbox" value="1" /> Портал<br /><br/>';
echo'<input name="bu" type="checkbox" value="1" /> Нельзя пойти вверх<br /><br/>';
echo'<input name="bd" type="checkbox" value="1" /> Нельзя пойти вниз<br /><br/>';
echo'<input name="bl" type="checkbox" value="1" /> Нельзя пойти влево<br /><br/>';
echo'<input name="br" type="checkbox" value="1" /> Нельзя пойти вправо<br /><br/>';
echo '<input class="button" type="submit" value="Создать" /></form>';}else{
$_POST[city] = htmlspecialchars(stripslashes(addslashes($_POST['city'])));
$req = mysql_query("SELECT * FROM `world` where `city`='$_POST[city]' and `location`='1' and `x`='$_POST[x]' and `y`='$_POST[y]'");
$avto=mysql_num_rows($req);
if($avto>=1){echo"Такая локация есть!";include('files/down.php');exit;}
if(empty($_POST['bu'])){$_POST['bu']='0';}else{$_POST['bu']='1';}
if(empty($_POST['bd'])){$_POST['bd']='0';}else{$_POST['bd']='1';}
if(empty($_POST['br'])){$_POST['br']='0';}else{$_POST['br']='1';}
if(empty($_POST['bl'])){$_POST['bl']='0';}else{$_POST['bl']='1';}
if(empty($_POST['portal'])){$_POST['portal']='0';}else{$_POST['portal']='1';}
mysql_query("INSERT INTO
        `world` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]',
        `bu` = '$_POST[bu]',
        `bd` = '$_POST[bd]',
        `br` = '$_POST[br]',
        `bl` = '$_POST[bl]',
        `portal` = '$_POST[portal]'");
echo'Локация '.$_POST[name].' создана!<br/>';}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '30':
if(empty($_POST[name])){
echo '<form action="mod3.php?mod=30" method="post">';
echo "Город:<br/>
<select name=\"city\">
<option value=\"izmud\">Измуд</option>
</select><br/>";
echo "Тип:<br/>
<select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"ruki\">Рукавицы</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"plash\">Плащ</option>
<option value=\"poyas\">Пояс</option>
<option value=\"shit\">Щит</option>
<option value=\"amulet\">Амулет</option>
<option value=\"kolco\">Кольцо</option>
</select><br/>";
echo"Имя<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo"Цена<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";
echo"Минимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umin\"/><br/>";
echo"Максимальный урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"umax\"/><br/>";
echo"Защита головы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pgolova\"/><br/>";
echo"Защита тела<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pbody\"/><br/>";
echo"Защита ног<br/>
<input class='input' type=\"text\" size=\"10\" name=\"pnogi\"/><br/>";
echo"Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Бонус антикрит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"antikrit\"/><br/>
Класс:<br/>
<select name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>
Требуется силы<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nsila\"/><br/>
Требуется ловкости<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlovk\"/><br/>
Требуется интелекта<br/>
<input class='input' type=\"text\" size=\"10\" name=\"num\"/><br/>
Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';}else{
if(empty($_POST[cena])){$_POST[cena]=100000;}
if(empty($_POST[umin])){$_POST[umin]=0;}
if(empty($_POST[umax])){$_POST[umax]=0;}
if(empty($_POST[protect])){$_POST[protect]=0;}
if(empty($_POST[hp])){$_POST[hp]=0;}
if(empty($_POST[mp])){$_POST[mp]=0;}
if(empty($_POST[krit])){$_POST[krit]=0;}
if(empty($_POST[antikrit])){$_POST[antikrit]=0;}
if(empty($_POST[ukrit])){$_POST[ukrit]=0;}
if(empty($_POST[sila])){$_POST[sila]=0;}
if(empty($_POST[lovk])){$_POST[lovk]=0;}
if(empty($_POST[um])){$_POST[um]=0;}
if(empty($_POST[prot])){$_POST[prot]=0;}
if(empty($_POST[nsila])){$_POST[nsila]=0;}
if(empty($_POST[nlovk])){$_POST[nlovk]=0;}
if(empty($_POST[num])){$_POST[num]=0;}
if(empty($_POST[nlvl])){$_POST[nlvl]=0;}
mysql_query("INSERT INTO
        `shop` SET
        `city` = '$_POST[city]',
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$_POST[cena]',
        `umin` = '$_POST[umin]',
        `umax` = '$_POST[umax]',
        `pgolova` = '$_POST[pgolova]',
        `pbody` = '$_POST[pbody]',
        `pnogi` = '$_POST[pnogi]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `antikrit` = '$_POST[antikrit]',
        `klas` = '$_POST[klas]',
        `nsila` = '$_POST[nsila]',
        `nlovk` = '$_POST[nlovk]',
        `num` = '$_POST[num]',
        `nlvl` = '$_POST[nlvl]'");
echo'Вещь '.$_POST[name].' создана!<br/>';}
echo"<a href=\"mod_panel.php?\">Назад</a>";
break;

break;
}
@include"files/down.php";
?>